html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}






 



.loading-spinner {
    width: 50px;
    height: 50px;
    border: 5px solid #ccc;
    border-top: 5px solid #007bff;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes rotateLogo {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


@keyframes blink {
    50% {
        opacity: 0;
    }
}

.online-blink {
    display: inline-block;
    width: 15px;
    height: 15px;
    background-color: green;
    border-radius: 50%;
    animation: blink 1s infinite;
}
.blink {

    animation: blink 1s infinite;
}


#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.8); /* Dark background */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999; /* Ensure it covers everything */
}

 



/* HTML: <div class="loader"></div> */
.app_spinner {
    height: 80px;
    aspect-ratio: 1;
    display: grid;
}

    .app_spinner:before,
    .app_spinner:after {
        content: "";
        --c: no-repeat linear-gradient(#fff 0 0);
        background: var(--c), var(--c);
        background-size: 25% 50%;
        animation: l5 1s infinite linear;
    }

    .app_spinner:after {
        transform: scale(-1);
    }

@keyframes l5 {
    0%, 5% {
        background-position: 33.4% 100%,66.6% 100%
    }

    25% {
        background-position: 33.4% 100%,100% 0
    }

    50% {
        background-position: 0 0,100% 0
    }

    75% {
        background-position: 0 0,66.6% 100%
    }

    95%, 100% {
        background-position: 33.4% 100%,66.6% 100%
    }
}

/* HTML: <div class="loader"></div> */
.loader {
    width: 40px;
    aspect-ratio: 1;
    --c: no-repeat linear-gradient(#046D8B 0 0);
    background: var(--c),var(--c),var(--c),var(--c),var(--c),var(--c);
    animation: l6-1 2s infinite, l6-2 2s infinite;
}

@keyframes l6-1 {
    0% {
        background-size: 0 4px,4px 0,0 4px,4px 0,0 4px,4px 0
    }

    8.33% {
        background-size: 100% 4px,4px 0,0 4px,4px 0,0 4px,4px 0
    }

    16.67% {
        background-size: 100% 4px,4px 50%,0 4px,4px 0,0 4px,4px 0
    }

    25% {
        background-size: 100% 4px,4px 50%,50% 4px,4px 0,0 4px,4px 0
    }

    33.33% {
        background-size: 100% 4px,4px 50%,50% 4px,4px 100%,0 4px,4px 0
    }

    41.67% {
        background-size: 100% 4px,4px 50%,50% 4px,4px 100%,50% 4px,4px 0
    }

    48%, 52% {
        background-size: 100% 4px,4px 50%,50% 4px,4px 100%,50% 4px,4px 50%
    }

    58.33% {
        background-size: 0 4px,4px 50%,50% 4px,4px 100%,50% 4px,4px 50%
    }

    66.67% {
        background-size: 0 4px,4px 0,50% 4px,4px 100%,50% 4px,4px 50%
    }

    75% {
        background-size: 0 4px,4px 0,0 4px,4px 100%,50% 4px,4px 50%
    }

    83.33% {
        background-size: 0 4px,4px 0,0 4px,4px 0,50% 4px,4px 50%
    }

    91.67% {
        background-size: 0 4px,4px 0,0 4px,4px 0,0 4px,4px 50%
    }

    100% {
        background-size: 0 4px,4px 0,0 4px,4px 0,0 4px,4px 0
    }
}

@keyframes l6-2 {
    0%,49.9% {
        background-position: 0 50%,right 0 bottom 20px,100% 0,50% 0,right 20px bottom 0,0 100%
    }

    50%,100% {
        background-position: 100% 50%,100% 0,left 20px top 0,50% 100%,0 100%,0 20px
    }
}







.upload-label {
    margin-bottom:10px;
    display: inline-block;
    padding: 10px 20px;
    background-color: #3498db;
    color: white;
    font-weight: bold;
    border-radius: 6px;
    cursor: pointer;
    transition: background-color 0.3s;
}

    .upload-label:hover {
        background-color: #2980b9;
    }

.hidden-input {
    display: none;
}





/* ============================= */
/* Loader Blur & Check overlay */

.blur-section {
    filter: blur(4px);
    pointer-events: none;
 }

.modal-loader {
    position: absolute;
    inset: 0;
    background: rgba(255, 255, 255, 0.6);
    z-index: 1056; /* higher than modal content */
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 1rem;
}

.checkmark {
    width: 80px;
    height: 80px;
    stroke: #28a745;
    stroke-width: 4;
    stroke-linecap: round;
    stroke-linejoin: round;
    margin: auto;
}


.checkmark-circle {
    stroke-dasharray: 157;
    stroke-dashoffset: 157;
    animation: drawCheck 0.6s ease-out forwards;
}

.checkmark-check {
    stroke-dasharray: 48;
    stroke-dashoffset: 48;
    animation: drawCheck 0.6s ease-out forwards;
 }

@keyframes drawCheck {
    to {
        stroke-dashoffset: 0;
    }
}

/* ============================= */

/* ===== GLOBAL DARK SKELETON (TEXT SAFE) ===== */

.placeholder {
    
    border-radius: 10px;
  
}


/* ===========  MiuraCloudV2.css ================== */
/* Main Static val */
:root {
    --bg-app: #fefefe;
    /*    --bg-app: #eb4034;*/
    --bg-primary: #3a444e;
    --text-primary: #ffffff;
    --text-off-primary: #8391a2;
    /* ------------ */
    --bg-secondary: #ffffff;
    --text-secondary: #8391a2;
    --text-off-secondary: #8391a2;
    /* ------------ */
    --top-bar-height: 65px;
    --left-bar-width: 70px;
    --icon-font-size: 20px;
}



/* Main Layouts */
.main-view {
    background: var(--bg-app);
    position: relative;
    display: flex;
    height: 100vh;
    font-family: "Nunito", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
}

.left-bar {
    background: var(--bg-primary);
    z-index: 1000;
    width: var(--left-bar-width);
    transition: width 0.8s ease;
 

}
/* IMPORTANT: NOT nested */
.left-bar .dropdown-hover .collapse-menu {
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: max-height 0.1s ease-in, opacity 0.1s ease-in;
}

.nav-cont {
    display: none !important;
    transition: opacity 0.1s ease;
}

.left-bar:hover {
    --left-bar-width: 250px; /* Expanded width on hover */
    transition: width 0.1s ease;
    .nav-cont

{
    display: block !important;
}

.app-logo img {
    height: 20px;
    width: 20px;
    margin-left: unset;
}

.dropdown-hover .collapse-menu {
    max-height: 5000px; /* enough to fit content */
    opacity: 1;
    transition: max-height 0.2s ease-out, /* slower close */
    opacity 0.2s ease-out; /* slower fade-out */
}

}




@media (max-width: 641px) {

    :root {
        --left-bar-width: 250px !important;
    }

    .nav-cont {
        display: block;
    }

    .app-logo img {
        height: 20px !important;
        width: 20px !important;
        margin-left: 0px !important;
    }

    .dropdown-hover .collapse-menu {
        max-height: 5000px !important; /* enough to fit content */
        opacity: 1 !important;
    }
}



.top-bar {
    background: var(--bg-secondary);
    z-index: 1000;
    height: var(--top-bar-height);
    width: 100%;
    position: sticky;
    top: 0;
}

    .top-bar i {
        font-size: var(--icon-font-size);
        cursor: pointer;
    }

    .top-bar .user-dropdown-toggle:hover {
        border: 1px solid #dee2e6;
        background-color: #f8f9fa;
    }


.main-content {
    flex: 1;
    overflow-y: auto;
}

/* Main Elements */


.app-logo {
    height: var( --top-bar-height);
    width: var(--left-bar-width);
    display: flex;
    align-items: center; /* Vertical center */
    justify-content: center; /* Align content to the left (use center if needed) */
    padding: 10px; /* Optional horizontal padding */
}

    .app-logo img {
        height: 30px;
        width: 30px;
        margin-right: 10px;
        margin-left: 16px;
    }

    .app-logo label {
        font-size: 20px;
        font-weight: 500;
        color: var(--text-primary);
        text-decoration: none;
        cursor: pointer;
    }

    .app-logo a:hover {
        text-decoration: none; /* Prevent underline on hover too */
        /* color:var(--text-off-primary);*/
    }

.app-logo-mobile {
    font-size: 20px;
    font-weight: 500;
    color: var(--bg-primary);
    text-decoration: none;
}



.dark-mode {
    --bg-color: #3a434e;
    --bg-app: #333a40;
    --text-color: #ffffff;
    --secondary-color: #8391a2;
    background-color: var(--bg-color);
    color: var(--text-color);
}

    .dark-mode .navbar {
        background-color: var(--bg-color) !important;
    }

    .dark-mode .input-group,
    .dark-mode input,
    .dark-mode .form-control {
        background-color: #333649;
        color: white;
    }

    .dark-mode .btn-primary {
        background-color: #5551d4;
    }

    .dark-mode .app-logo-mobile {
        color: var(--text-primary);
    }






       